<?php $hasConfig=true;
$pageTitle='Trial drop viewer: Plate <a style=\"float:none\" href=\"/plate/'.$data['plateid'].'\">'.$data['platename'].'</a> drop <span id=\"dropname\">?</span>';
$breadcrumbs=array(
		array('url'=>'/project/'.$data['projectid'], 'icon'=>'project', 'help'=>'Go to this plate\'s project'),
		array('url'=>'/plate/'.$data['plateid'], 'icon'=>'plate', 'help'=>'Go to this plate')
);

include realpath(__DIR__).'/../../core/_common/header.php'; ?>

<script type="text/javascript" src="/js/model/dropviewer/dropviewer.js?t=<?php echo @filemtime($wwwroot.'/client/js/model/dropviewer/dropviewer.js'); ?>"></script>
<script type="text/javascript" src="/js/model/dropviewer/dropviewer_keymappings.js?t=<?php echo @filemtime($wwwroot.'/client/js/model/dropviewer/dropviewer_keymappings.js'); ?>"></script>
<script type="text/javascript">
var canUpdate=<?php echo (
		//Can update if admin, plate owner, or inherits update permissions via group membership
		session::isAdmin()
		|| session::getUserId()==$data['plateownerid']
		|| in_array($data['projectid'], session::getUpdateProjects())			
	) ? 'true' : 'false' ;?>;
var canDeleteCrystals=<?php echo (
			//Can delete if admin, plate owner, or inherits update permissions via group membership
			// - other code will enforce "if not fished" condition
			session::isAdmin()
			|| session::getUserId()==$data['plateownerid']
			|| in_array($data['projectid'], session::getDeleteProjects())			
		) ? 'true' : 'false' ;?>;

$(document).observe("dom:loaded",function(){
	document.documentElement.style.overflow="hidden"; // <html> tag
	document.body.style.background="black";
	document.body.style.overflow="hidden";
	$("headersearch").blur();
	$("configbutton").observe("click", togglePageConfig);
	$("content").addClassName("dropviewer");
	DropViewer.init();
	KeyboardShortcuts.init();
});
window.onresize=function(){
	Measure.setScale();
	DropViewer.getScoringSystem();
}
</script>

<div id="imagepane">
	<img id="currentimage" class="dropimage" />
	<div id="dv_measure" style="display:none">
		<div id="dv_nomeasure">No scale information available</div>
		<div id="dv_cross"><div id="dv_crossx"></div><div id="dv_crossy"></div></div>
		<div id="ring1000"><span>1000&#181;m</span><span>1000&#181;m</span></div>
		<div id="ring900"></div>
		<div id="ring800"><span>800</span><span>800</span></div>
		<div id="ring700"></div>
		<div id="ring600"><span>600</span><span>600</span></div>
		<div id="ring500"></div>
		<div id="ring400"><span>400</span><span>400</span></div>
		<div id="ring300"></div>
		<div id="ring200"><span>200</span><span>200</span></div>
		<div id="ring180" class="dv_smallmeasure"></div>
		<div id="ring160" class="dv_smallmeasure"></div>
		<div id="ring140" class="dv_smallmeasure"></div>
		<div id="ring120" class="dv_smallmeasure"></div>
		<div id="ring100"></div>
		<div id="ring80" class="dv_smallmeasure"></div>
		<div id="ring60" class="dv_smallmeasure"></div>
		<div id="ring40" class="dv_smallmeasure"></div>
		<div id="ring20" class="dv_smallmeasure"></div>
	</div>
	<div id="xs_crosshair" class="xs_crosshair">
		<div class="xs_cross"><div class="xs_crossx"></div><div class="xs_crossy"></div></div>
		<div class="xs_ring"></div>
		<div class="xs_number"></div>
	</div>
</div>
<div id="controls">
	<div class="controlpanel" id="dropviewerpanel">
		<div>
			<span id="dv_delayless" onclick="DropViewer.decreaseMovieDelay()">-</span>
			<span id="dv_delay"></span>
			<span id="dv_delaymore" onclick="DropViewer.increaseMovieDelay()">+</span>
		</div>
		<div id="dv_moviecontrols">
			<span id="dv_first" title="First drop" onclick="DropViewer.goToFirst()">First</span>
			<span id="dv_prev" title="Previous drop" onclick="DropViewer.goToPrevious(true)">Prev</span>
			<span id="dv_playstop" title="Play" onclick="DropViewer.playOrStop()">Play</span>
			<span id="dv_next" title="Next drop" onclick="DropViewer.goToNext(true)">Next</span>
			<span id="dv_last" title="Last drop" onclick="DropViewer.goToLast()">Last</span>
			<span id="dv_nav" title="Navigation..." onclick="DropNav.open()">Nav</span>
		</div>
		<div id="dv_scores">Waiting for scores...</div>
		<div id="dv_timecourseends">
			<div style="font-weight:bold">First and latest images</div>
			<img id="dv_timecoursefirst" >
			<img id="dv_timecourselast"  >
		</div>
	</div>

	<div class="controlpanel" id="timecoursepanel">
		<div>
			<span id="tc_delayless" onclick="DropViewer.decreaseMovieDelay()">-</span>
			<span id="tc_delay"></span>
			<span id="tc_delaymore" onclick="DropViewer.increaseMovieDelay()">+</span>
		</div>
		<div id="tc_moviecontrols">
			<span id="tc_first" title="First image" onclick="TimeCourse.goToFirst()">First</span>
			<span id="tc_prev" title="Previous image" onclick="TimeCourse.goToPrevious()">Prev</span>
			<span id="tc_playstop" title="Play" onclick="TimeCourse.playOrStop()">Play</span>
			<span id="tc_next" title="Next image" onclick="TimeCourse.goToNext()">Next</span>
			<span id="tc_last" title="Last image" onclick="TimeCourse.goToLast()">Last</span>
			<span id="tc_nav" title="Navigation..." onclick="DropNav.open()">Nav</span>
		</div>
		<div id="tc_lighttypes"></div>
		<div id="tc_images"></div>
	</div>


	<div class="controlpanel" id="dropinfopanel">
	Drop info here
	</div>

	<div class="controlpanel" id="selectpanel">
	Waiting for list of crystals...
	</div>

	<div id="viewswitcher">
		<div id="viewbutton_dv" onclick="switchPanels(this)" title="Measure and score" class="viewbutton current"><img src="/images/icons/dropviewer/viewbuttons/viewbutton_dv_current.png" /></div>
		<div id="viewbutton_tc" onclick="switchPanels(this)" title="Drop imaging history" class="viewbutton"><img src="/images/icons/dropviewer/viewbuttons/viewbutton_tc.png" /></div>
		<div id="viewbutton_di" onclick="switchPanels(this)" title="Drop and plate information" class="viewbutton"><img src="/images/icons/dropviewer/viewbuttons/viewbutton_di.png" /></div>
		<div id="viewbutton_xs" onclick="switchPanels(this)" title="Crystal selection" class="viewbutton"><img src="/images/icons/dropviewer/viewbuttons/viewbutton_xs.png" /></div>
		<div id="viewbutton_dn" onclick="DropNav.open()" title="Drop navigation" class="viewbutton"><img src="/images/icons/dropviewer/viewbuttons/viewbutton_dn.png" /></div>
	</div>

</div>

<?php 
include realpath(__DIR__).'/../../core/_common/footer.php';
?>	